import { request } from './request';
import { apiClient } from './axiosClient';

const END_POINT = '/api/deposit';

export const requestGetDeposits = async () => {
    const res = await apiClient.get(END_POINT + '/all');
    return res.data;
};

export const requestCreateQRBank = async (amount) => {
    const res = await apiClient.post(END_POINT + '/create-qr-bank', { amount });
    return res.data;
};

export const requestGetUserHistory = async () => {
    const res = await apiClient.get(END_POINT + '/history');
    return res.data;
};
